XCB 1.16

Data Fields
xcb_xkb_set_controls_request_t Struct Reference
XCB xkb API

xcb_xkb_set_controls_request_t More...

`#include <xkb.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xkb_device_spec_t | deviceSpec
uint8_t | affectInternalRealMods
uint8_t | internalRealMods
uint8_t | affectIgnoreLockRealMods
uint8_t | ignoreLockRealMods
uint16_t | affectInternalVirtualMods
uint16_t | internalVirtualMods
uint16_t | affectIgnoreLockVirtualMods
uint16_t | ignoreLockVirtualMods
uint8_t | mouseKeysDfltBtn
uint8_t | groupsWrap
uint16_t | accessXOptions
uint8_t | pad0 [2]
uint32_t | affectEnabledControls
uint32_t | enabledControls
uint32_t | changeControls
uint16_t | repeatDelay
uint16_t | repeatInterval
uint16_t | slowKeysDelay
uint16_t | debounceDelay
uint16_t | mouseKeysDelay
uint16_t | mouseKeysInterval
uint16_t | mouseKeysTimeToMax
uint16_t | mouseKeysMaxSpeed
int16_t | mouseKeysCurve
uint16_t | accessXTimeout
uint32_t | accessXTimeoutMask
uint32_t | accessXTimeoutValues
uint16_t | accessXTimeoutOptionsMask
uint16_t | accessXTimeoutOptionsValues
uint8_t | perKeyRepeat [32]

## Detailed Description

xcb_xkb_set_controls_request_t

The documentation for this struct was generated from the following file:

- xkb.h